<?php

class UserRDFReader
{
    protected $model;
    protected $fileName = 'data/users/users.rdf';

    public function __construct()
    {
        // Create empty MemModel
        $factory = new ModelFactory();
        $this->model = $factory->getDefaultModel();

        if(file_exists($this->fileName))
            $this->model->load($this->fileName);
    }

    public function getUserNames()
    {
        $querystring = '
            PREFIX  predicates: <' . SURVEYTOOL_PREDICATES_NAMESPACE . '>
            PREFIX  resources: <' . SURVEYTOOL_RESOURCES_NAMESPACE . '>
            SELECT  ?name 
            WHERE 	
            {
                    _user	predicates:resource_type	resources:user ;
                                predicates:name 		?name 	
            }';

        $result = $this->model->sparqlQuery($querystring);

        return $result;
    }

    public function getUserPassword($userName)
    {
        $querystring = '
            PREFIX  predicates: <' . SURVEYTOOL_PREDICATES_NAMESPACE . '>
            PREFIX  resources: <' . SURVEYTOOL_RESOURCES_NAMESPACE . '>
            SELECT  ?password 
            WHERE 	
            {
                    _user	predicates:resource_type	resources:user ;
                                predicates:name			"' . $userName . '"	;
                                predicates:password		?password
            }';

        $result = $this->model->sparqlQuery($querystring);

        return $result;
    }
}

?>